diff --git a/lustre/tests/conf-sanity.sh b/lustre/tests/conf-sanity.sh
index fe81a07120aad6b6e297a7bc7a4505ce10410752..bba9a16df024d25d4d128db40a767a2d403ef7c9 100644
--- a/lustre/tests/conf-sanity.sh
+++ b/lustre/tests/conf-sanity.sh
@@ -1532,9 +1532,9 @@ test_39() { #bug 14413
         PTLDEBUG=malloc
         setup
         cleanup
-        perl $SRCDIR/leak_finder.pl $TMP/debug 2>&1 | egrep "*** Leak:" && error
+        perl $SRCDIR/leak_finder.pl $TMP/debug 2>&1 | egrep '*** Leak:' && 
+                error "memory leak detected" || true
 }
-
 run_test 39 "leak_finder recognizes both LUSTRE and LNET malloc messages"
 
 equals_msg `basename $0`: test complete